Bug 483538 - Browsing history is not clear after days that set in preference
Browsing history is not clear after days that set in preference
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: firefox (Show other bugs)
5.2
All Linux
low Severity medium
: rc
: ---
Assigned To: Martin Stransky
desktop-bugs@redhat.com
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-02 04:59 EST by Suqin Huang
Modified: 2012-08-06 10:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-06 10:08:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Suqin Huang 2009-02-02 04:59:54 EST
Description of problem:
History is not clear after $ days that set in Edit->Preference->Privacy->History

Version-Release number of selected component (if applicable):
firefox-3.0.6-1.el5 - i386

How reproducible:
Always

Steps to Reproduce:
1.  Click Tools->Clear Private data to clear browsing history.
2. Click Edit->Preference->Privacy.
3. Check "Keep my history for at least $ days" and set day number to 1.
4. Access several websites and press Ctrl + H to check the browsing history.
5. Close history sidebar.
6. Change date to two days later, such as change Feb 2 to Feb 4.
7. Press Ctrl + H to check the browsing history.
  
Actual results:
The websites accessed one day ago are still stored in history sidebar.

Expected results:
The websites accessed one day ago are clear.

Additional info:
Comment 1 Matěj Cepl 2009-02-03 07:48:56 EST
Yes, could fully reproduce with the latest Firefox in RHEL. I set the length of history to 1 day and yet after restart couple of weeks old pages were seen in the history.
Comment 2 Martin Stransky 2012-08-06 10:08:37 EDT
The history settings has been reworked in the 10.x line and history is cleared properly now.

Note You need to log in before you can comment on or make changes to this bug.